import { jsx } from "react/jsx-runtime";
import { ArrowLineUpIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const ArrowLineUp = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "ArrowLineUp", ...props, children: /* @__PURE__ */ jsx(ArrowLineUpIcon, { weight: variant }) });
  }
);
ArrowLineUp.displayName = "ArrowLineUp";
Object.assign(ArrowLineUp, { isGdsIcon: true });
export {
  ArrowLineUp
};
